
function gun_turret_extension(inputs)
return
{
	filename = "__Cannon-Turret__/graphics/entity/cannonturret_place.png",
	priority = "medium",
	scale = 0.75,
	width = 128,
	height = 128,
	direction_count = 8,
	frame_count = 1,
	axially_symmetrical = false,
	shift = { 0.35, -0.5},
}
end

data:extend({
{
	type = "ammo-turret",
	name = "cannon-turret",
	icon = "__Cannon-Turret__/graphics/entity/cannonturret-icon.png",
	flags = {"placeable-player", "player-creation"},
	minable = {mining_time = 0.5, result = "sg-turret"},
	max_health = 1400,
	resistances =
	{
		{ type = "physical", decrease = 4, percent = 50, },
		{ type = "explosion", decrease = 4, percent = 50, },
		{ type = "fire", percent = 50, },
	},	
	corpse = "small-remnants",
	collision_box = {{-0.7, -0.7 }, {0.7, 0.7}},
	selection_box = {{-1, -1 }, {1, 1}},
	rotation_speed = 0.020,
	preparing_speed = 0.08,
	folding_speed = 0.08,
	dying_explosion = "medium-explosion",
	inventory_size = 2,
	automated_ammo_count = 20,
	circuit_wire_max_distance = 7.5,
	attacking_speed = 0.1,
	folded_animation = 
	{
		layers =
		{
			gun_turret_extension{frame_count=1, line_length = 1}
		}
	},
	preparing_animation = 
	{
	  layers =
	  {
		gun_turret_extension{}
	  }
	},
	prepared_animation =
	{
		filename = "__Cannon-Turret__/graphics/entity/cannonturret_sheet.png",
		priority = "medium",
		scale = 0.75,
		width = 128,
		height = 128,
		direction_count = 64,
		frame_count = 1,
		line_length = 8,
		axially_symmetrical = false,
		shift = { 0.35, -0.5},			
	},
	--attacking_animation = --chack{},
	folding_animation = 
	{ 
		layers = 
		{ 
			gun_turret_extension{run_mode = "backward"}
		}
	},
	vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
	
	attack_parameters =
	{
		type = "projectile",
		ammo_category = "cannon-shell",
		cooldown = 90,
		projectile_creation_distance = 1.2,
		projectile_center = {-0.15625, -0.07812},
		damage_modifier = 2,
		shell_particle =
		{
			name = "shell-particle",
			direction_deviation = 0.1,
			speed = 0.1,
			speed_deviation = 0.03,
			center = {0, 0},
			creation_distance = -1.925,
			starting_frame_speed = 0.2,
			starting_frame_speed_deviation = 0.1
		},
		range = 30,
		sound =
		{
			{
				filename = "__base__/sound/fight/tank-cannon.ogg",
				volume = 1.0
			}
		},
	},

	call_for_help_radius = 40
}
})